$('#register-submit').click(function (e) {
e.preventDefault()
e.stopPropagation()

if ($('#login').val() != '' && $('#password').val() != '') {

    var data = {
    firstname: $('#firstname').val() || '',
    lastname: $('#lastname').val() || '',
    login: $('#login').val(),
    password: $('#password').val(),
    passwordConf: $('#password-conf').val(),
    // role: // values of checkboxes 
    }

    $.ajax({
    type: 'POST',
    data: JSON.stringify(data),
    contentType: 'application/json',
    url: 'http://' + window.location.host + '/api/users/new',
    context: document.body,
    timeout: 1500

    })

    .done(function (data) {
        logger.info("{{ strings.toastMessage.add.success }}" + " : " + data.login)
        toastr.success("{{ strings.toastMessage.add.success }}", data.login)
        resetFields()
    })

    .fail(function (jqXHR, textStatus, errorThrown) {
        logger.error("{{ strings.toastMessage.add.failure }}" + " : " + (jqXHR.responseJSON ? jqXHR.responseJSON.message : "{{ strings.general.error }}"))
        toastr.error((jqXHR.responseJSON ? jqXHR.responseJSON.message : "{{ strings.general.error }}"), "{{ strings.toastMessage.add.failure }}")
    })

}



})

var resetFields = function () {
  $('#firstname').val('')
  $('#lastname').val('')
  $('#login').val('')
  $('#password').val('')
  $('#password-conf').val('')
}
